POST V1/FundingStatements.{ext}/Comments

Adding Comments to Funding Statement.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

Comments Entity.

EMS.Payments.Entities.FundingStatementComment
NameDescriptionTypeAdditional information
FundingStatementName

Funding Statement Name

string

None.

FundingStatementId

System Generated Id

integer

None.

Status

Status

string

None.

Comments

Coomments

string

None.

CreatedUser

Created User

string

None.

CreatedDate

Created Date

string

None.

UserImage

No description available

string

None.

FullName

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "fundingStatementName": "sample string 1",
  "fundingStatementId": 1,
  "status": "sample string 2",
  "comments": "sample string 3",
  "createdUser": "sample string 4",
  "createdDate": "sample string 5",
  "userImage": "sample string 6",
  "fullName": "sample string 7"
}

application/xml, text/xml

Sample:
<FundingStatementComment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <Comments>sample string 3</Comments>
  <CreatedDate>sample string 5</CreatedDate>
  <CreatedUser>sample string 4</CreatedUser>
  <FullName>sample string 7</FullName>
  <FundingStatementId>1</FundingStatementId>
  <FundingStatementName>sample string 1</FundingStatementName>
  <Status>sample string 2</Status>
  <UserImage>sample string 6</UserImage>
</FundingStatementComment>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

Whether comments are added or not in transaction result entity.

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.